@import 'fonts';

$banner_height: 100px;

/* Article layout pages. */
.outer-logo {
    background-repeat: no-repeat;
    background-size: cover;
    height: $banner_height;
    width: 100%;
    background-position: center center;
}

.inner-logo {
    background-image: url(../images/branding/logo-white-height-100px.png);
    background-repeat: no-repeat;
    background-position: right center;
    vertical-align: middle;
    height: $banner_height;  /* height of container, not background image. */
    width: 100%;
    color: $white;
}

@media all and (max-width:500px) {
    .outer-logo {
        background-image: url(../images/branding/500x100-banner.jpg);
    }
}

@media all and (min-width:501px) and (max-width:1439px) {
    .outer-logo {
        background-image: url(../images/branding/1024x100-banner.jpg);
    }
}

@media all and (min-width:1440px) {
    .outer-logo {
        background-image: url(../images/branding/1440x100-banner.jpg);
    }
}

/* Index layout pages. */
#hero {
    background: $light_grey;
    text-align: center;
    overflow: hidden;
    display: block;
    width: 100%;
    /* Height set in Javascript. */
    margin-top: 0;
    padding-top: 0;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

@media all and (max-width: 500px) {
    .hero-content {
        display: block;
        /* margin-top set in Javascript. */
        margin: auto;
        max-width: 90vw;
    }
    .inner-hero {
        background-image: url(../images/branding/logo-white-500px.png);
        background-repeat: no-repeat;
        background-size: 90vw;
        width: 100%;
        height: 232px;
        color: $white;
        font-family: $branded_fonts;
        font-weight: $weight_bold;
        font-size: var(--scale2);
        line-height: 1em;
    }
}

@media all and (min-width: 501px) {
    .hero-content {
        display: block;
        /* margin-top set in Javascript. */
        margin: auto;
        max-width: 90vw;
    }
    .inner-hero {
        background-image: url(../images/branding/logo-white-500px.png);
        background-repeat: no-repeat;
        width: 500px;
        height:232px;
        color: $white;
        font-family: $branded_fonts;
        font-weight: $weight_bold;
        font-size: var(--scale2);
        line-height: 1em;
    }
}

.scene,
.layer {
    display: block;
    height: 100%;
    width: 100%;
    padding: 0;
    margin: 0;
}

.scene {
    position: relative;
    overflow: hidden;
}

.layer {
    position: absolute;
}

.layer div {
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    -webkit-transform-style: preserve-3d;
    -moz-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    backface-visibility: hidden;
}

.background {
    bottom: -20px;
    background-size: cover;
    position: absolute;
    width: 110%;
    left: -5%;
    top: -5%;
}

.sphere {
    margin-left:-120px;
}

.sphere img {
    min-width: 120%;
    -webkit-transform: scale(2);
    -moz-transform: scale(2);
    -ms-transform: scale(2, 2);
    transform: scale(2);
}

@media all and (min-width: 400px) {
    .sphere img {
        -webkit-transform: scale(1.8);
        -moz-transform: scale(1.8);
        -ms-transform: scale(1.8, 1.8);
        transform: scale(1.8);
    }
    .line {
        margin-top: 10px;
    }
}

@media all and (min-width: 700px) {
    .sphere img {
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1, 1);
        transform: scale(1);
    }
    .line {
        margin-top: 10px;
    }
}
